# Generated by Django 3.2.11 on 2022-01-22 12:51

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models

import utility.utils


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Organisation',
            fields=[
                ('org_id', models.CharField(default=utility.utils.generate_organisation_id,
                                            max_length=30, primary_key=True, serialize=False, unique=True)),
                ('organisation_name', models.CharField(max_length=500)),
                ('organisation_address', models.TextField()),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('primary_employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE,
                                                       related_name='org_primary_employee', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Organisation',
                'verbose_name_plural': 'Organisations',
                'ordering': ('organisation_name',),
            },
        ),
    ]
